# bz2enc

Compresses streams

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──bz2enc

## Factory details

Authors: – Lutz Mueller

Classification: – `Codec/Encoder`

Rank – none

Plugin – bz2

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    ANY

Presence – always

Direction – sink

Object type – GstPad

### `src`

    application/x-bzip:

Presence – always

Direction – src

Object type – GstPad

## Properties

### block-size

    “block-size” guint

Block size

Flags : Read / Write

Default value : 6

### buffer-size

    “buffer-size” guint

Buffer size

Flags : Read / Write

Default value : 1024

The results of the search are